<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    
    <title>Box-sizing</title>
    <style type="text/css">
        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }
        #box {
                height: 150px;
                width: 150px;
                padding: 50px;
                border: 1px solid black;
                background-color: aqua;

            }
    </style>
    <!-- without border-box -->
    <!-- border and padding is added on top of the width -->
    <!-- 1px border + 50px left padding + 160px width + 50px right padding +1 px right boder = 252px -->
    
    <!-- with border-box -->
    <!-- border and padding is included in the total width -->
    <!-- 1px left border + 50px left padding + 48px width + 50px right pdding + right border = 150px  -->

    
</head>
<body>
    
    <div id="box">Hello

    </div>

</body>
</html>